tigase.jaxmpp.core.client.xmpp.modules

## Interface InitializingModule

- All Known Implementing Classes:
    AbstractIQModule, AbstractStanzaExtendableModule, AbstractStanzaModule, AdHocCommansModule, AuthModule, BookmarksModule, CapabilitiesModule, DiscoveryModule, EntityTimeModule, FlexibleOfflineMessageRetrieval, InBandRegistrationModule, MessageArchiveManagementModule, MessageCarbonsModule, MessageModule, MucModule, NonSaslAuthModule, OmemoModule, PingModule, PresenceModule, PubSubModule, PushNotificationModule, RosterModule, SoftwareVersionModule, StreamFeaturesModule, VCardModule, WorkgroupAgentModule

      public interface InitializingModule

  Interface should be implemented by module that need to be informed about its state in XmppModulesManager.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRegister()` Called when module is registered.
    `void` | `beforeRegister()` Called just before registration module in XmppModulesManager .
    `void` | `beforeUnregister()` Called when module is unregistered.

- - ### Method Detail

    - #### afterRegister

          void afterRegister()

      Called when module is registered. At this moment module is formally registered and it is part of client.

    - #### beforeRegister

          void beforeRegister()

      Called just before registration module in XmppModulesManager . It is good place to check if module is initialized properly.

    - #### beforeUnregister

          void beforeUnregister()

      Called when module is unregistered.

Copyright © 2006–2020 Tigase. All rights reserved.